Package org.kie.internal.task.api

## Interface TaskVariable

-     public interface TaskVariable

  Represents single Task variable entity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `TaskVariable.VariableType` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Date` | `getModificationDate()` | Returns last time this variable was modified
    `String` | `getName()` | Returns name of the variable
    `String` | `getProcessId()` | Returns process id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
    `Long` | `getProcessInstanceId()` | Returns process instance id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
    `Long` | `getTaskId()` | Returns task id that this variable belongs to
    `TaskVariable.VariableType` | `getType()` | Return type of the variable - either input or output
    `String` | `getValue()` | Returns value of this variable - its string representation that can be queried
    `void` | `setModificationDate​(Date modificationDate)` |
    `void` | `setName​(String name)` |
    `void` | `setProcessId​(String processId)` |
    `void` | `setProcessInstanceId​(Long processInstanceId)` |
    `void` | `setTaskId​(Long taskId)` |
    `void` | `setType​(TaskVariable.VariableType type)` |
    `void` | `setValue​(String value)` |

- - ### Method Detail

    - #### getTaskId

          Long getTaskId()

      Returns task id that this variable belongs to
      Returns:

    - #### getProcessInstanceId

          Long getProcessInstanceId()

      Returns process instance id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
      Returns:

    - #### getProcessId

          String getProcessId()

      Returns process id that the task this variable belongs to is owned by This might be null in case ad hoc tasks
      Returns:

    - #### getName

          String getName()

      Returns name of the variable
      Returns:

    - #### getValue

          String getValue()

      Returns value of this variable - its string representation that can be queried
      Returns:

    - #### getType

          TaskVariable.VariableType getType()

      Return type of the variable - either input or output
      Returns:

    - #### getModificationDate

          Date getModificationDate()

      Returns last time this variable was modified
      Returns:

    - #### setTaskId

          void setTaskId​(Long taskId)

    - #### setProcessInstanceId

          void setProcessInstanceId​(Long processInstanceId)

    - #### setProcessId

          void setProcessId​(String processId)

    - #### setName

          void setName​(String name)

    - #### setValue

          void setValue​(String value)

    - #### setType

          void setType​(TaskVariable.VariableType type)

    - #### setModificationDate

          void setModificationDate​(Date modificationDate)